Page MenuHomePhabricator

whonix-host-qemu-kvm package has an unmet dependency. Depends: whonix-host-shared but is not installable
Closed, InvalidPublic

Description

After adding "deb http://mirror.whonix.de/whonixdevelopermetafiles/internal/ jessie main" to my apt sources and performing an apt-get update, I get the following error while trying to install the whonix-host-qemu-kvm package:

root@debian:/home/user# apt-get install whonix-host-additions whonix-host-qemu-kvm
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
whonix-host-qemu-kvm : Depends: whonix-host-shared but it is not installable
E: Unable to correct problems, you have held broken packages.

http://mirror.whonix.de/whonixdevelopermetafiles/internal/dists/jessie/main/binary-amd64/Packages lists no whonix-host-shared package (but a whonix-host-shared-dependencies package, maybe that was meant?)

My system accoring to uname -a (if that is relevant)

Linux debian 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt20-1+deb8u3 (2016-01-17) x86_64 GNU/Linux

Details

Impact
Needs Triage

Event Timeline

Lobster created this task.Mar 23 2016, 10:17 AM
Patrick added a subscriber: HulaHoop.

That package and that usage of the Whonix repository is not ready and it is unclear it will ever be.

Patrick triaged this task as Wishlist priority.Apr 27 2016, 7:25 PM
Patrick closed this task as Invalid.Apr 23 2019, 12:36 PM
Patrick claimed this task.

No such package anymore.